import React, { useState } from "react"
import ExpensesList from "./ExpensesList"
import ExpensesChart from "./ExpensesChart"
import ExpensesFilter from "./ExpensesFilter"
import Card from "../UI/Card"

import "./Expenses.css"

const Expenses = (props) => {
    const [filteredYear, setFilteredYear] = useState("2021")
    const filterChangeHandler = (year) => {
        setFilteredYear(year)
        console.log(year)
    }

    const filteredExpenses = props.items.filter(
        (expense) => expense.date.getFullYear().toString() === filteredYear
    )

    

    return (
        <div>
            <Card className="expenses">
                <ExpensesFilter
                    selected={filteredYear}
                    onChangeFilter={filterChangeHandler}
                />
                <ExpensesChart expenses={filteredExpenses} />
                <ExpensesList items={filteredExpenses} />
            </Card>
        </div>
    )
}

export default Expenses
